<screen>
	<!-- options screen -->
	<rootcomponent>
		<name>optionsform</name>
		<effects>
			<effect>
				<name>create</name>
				<movement>
					<timeend>500</timeend>
					<ybegin>-900</ybegin>
					<yend>0</yend>
				</movement>
			</effect>
			<effect>
				<name>destroy</name>
				<lifetime>300</lifetime>
				<movement>
					<timeend>300</timeend>
					<ybegin>0</ybegin>
					<yend>-900</yend>
				</movement>
			</effect>
		</effects>
<!--
		<component>
			<name>bg</name>
			<effects>
				<effect>
					<name>create</name>
					<xposition>-350</xposition>
					<yposition>-200</yposition>
					<visual>
						<mesh>/mesh/gui/frame/options.xml</mesh>
						<texstage>/texture/gui/frame/main.png</texstage>
						<material>/material/tex-ac.xml</material>
					</visual>
				</effect>
			</effects>
		</component>
-->
		<component>
			<name>bg-lines</name>
			<effects>
				<effect>
					<name>create</name>
					<visual>
						<mesh>/mesh/gui/frame/options-lines.xml</mesh>
						<texstage>/texture/playfield/frame-top.png</texstage>
						<material>/material/tex-ac.xml</material>
					</visual>
				</effect>
			</effects>
		</component>

		<component>
			<name>bg-corners</name>
			<effects>
				<effect>
					<name>create</name>
					<zposition>-0.1</zposition>
					<visual>
						<mesh>/mesh/gui/frame/options-corners.xml</mesh>
						<texstage>/texture/playfield/frame-corner1.png</texstage>
						<material>/material/tex-ac.xml</material>
					</visual>
				</effect>
			</effects>
		</component>

		<component>
			<name>bg-bg</name>
			<effects>
				<effect>
					<name>create</name>
					<zposition>0.1</zposition>
					<visual>
						<mesh>/mesh/gui/frame/options-bg.xml</mesh>
						<material>/material/diff-ac.xml</material>
					</visual>
				</effect>
			</effects>
		</component>


		<!-- top text -->
		<component>
			<name>toptext</name>
			<caption>$Language.Default.Screen.Options.caption</caption>
			<captioncolor>0xFF000000</captioncolor>
			<effects>
				<effect>
					<name>create</name>
					<yposition>-250</yposition>
					<zposition>-1</zposition>
				</effect>
			</effects>
		</component>

		<!-- ok button -->
		<component>
			<name>okbutton</name>
			<hotkey>KEY_RETURN</hotkey>
			<caption>$Language.Default.ok</caption>
			<captioncolor>0xFF04091E</captioncolor>
			<captionscale>0.85</captionscale>
			<width>100</width>
			<height>80</height>
			<effects>
				<effect>
					<name>create</name>
					<xposition>0</xposition>
					<yposition>240</yposition>
					<zposition>-1</zposition>
					<visual>
						<mesh>/mesh/centered-256x128.xml</mesh>
						<material>/material/tex-ac_diff-a.xml</material>
						<texstage>/texture/gui/mmi.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>mousein</name>
					<visual>
						<mesh>/mesh/centered-256x128.xml</mesh>
						<material>/material/tex-ac_diff-a.xml</material>
						<texstage>/texture/gui/mmi-highlight.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>mouseout</name>
					<visual>
						<mesh>/mesh/centered-256x128.xml</mesh>
						<material>/material/tex-ac_diff-a.xml</material>
						<texstage>/texture/gui/mmi.png</texstage>
					</visual>
				</effect>
			</effects>
		</component>


		<!-- hidden cancel button - to intercept ESC-->
		<component>
			<name>cancelbutton</name>
			<hotkey>KEY_ESCAPE</hotkey>
			<caption>$Language.Default.cancel</caption>
			<effects>
				<effect>
					<name>create</name>
					<yposition>-1000</yposition>
					<visual>
						<mesh>/mesh/centered-1x1.xml</mesh>
						<material>/material/tex-ac.xml</material>
					</visual>
				</effect>
			</effects>
		</component>
		<!-- left text -->
		<component>
			<name>lefttext1</name>
			<align>1</align>
			<caption>$Language.Default.Screen.Options.resolution</caption>
			<captioncolor>0xFFFFFFFF</captioncolor>
			<effects>
				<effect>
					<name>create</name>
					<xposition>-280</xposition>
					<yposition>-180</yposition>
					<zposition>-1</zposition>
				</effect>
			</effects>
		</component>
		<!-- left text2 -->
		<component>
			<name>lefttext2</name>
			<align>1</align>
			<caption>$Language.Default.Screen.Options.mode</caption>
			<captioncolor>0xFFFFFFFF</captioncolor>
			<effects>
				<effect>
					<name>create</name>
					<xposition>-280</xposition>
					<yposition>-117</yposition>
					<zposition>-1</zposition>
				</effect>
			</effects>
		</component>
		<!-- left text3 -->
		<component>
			<name>lefttext3</name>
			<align>1</align>
			<caption>$Language.Default.Screen.Options.detail</caption>
			<captioncolor>0xFFFFFFFF</captioncolor>
			<effects>
				<effect>
					<name>create</name>
					<xposition>-280</xposition>
					<yposition>-54</yposition>
					<zposition>-1</zposition>
				</effect>
			</effects>
		</component>
		<!-- left text4 -->
		<component>
			<name>lefttext4</name>
			<align>1</align>
			<caption>$Language.Default.Screen.Options.soundVolume</caption>
			<captioncolor>0xFFFFFFFF</captioncolor>
			<effects>
				<effect>
					<name>create</name>
					<xposition>-280</xposition>
					<yposition>9</yposition>
					<zposition>-1</zposition>
				</effect>
			</effects>
		</component>
		<!-- left text5 -->
		<component>
			<name>lefttext5</name>
			<align>1</align>
			<caption>$Language.Default.Screen.Options.musicVolume</caption>
			<captioncolor>0xFFFFFFFF</captioncolor>
			<effects>
				<effect>
					<name>create</name>
					<xposition>-280</xposition>
					<yposition>72</yposition>
					<zposition>-1</zposition>
				</effect>
			</effects>
		</component>
		<!-- left text6 -->
		<component>
			<name>lefttext6</name>
			<align>1</align>
			<caption>$Language.Default.Screen.Options.language</caption>
			<captioncolor>0xFFFFFFFF</captioncolor>
			<effects>
				<effect>
					<name>create</name>
					<xposition>-280</xposition>
					<yposition>135</yposition>
					<zposition>-1</zposition>
				</effect>
			</effects>
		</component>
		<!-- value text1 -->
		<component>
			<name>valuetext1</name>
			<caption> </caption>
			<captioncolor>0xFFFFFFFF</captioncolor>
			<effects>
				<effect>
					<name>create</name>
					<xposition>120</xposition>
					<yposition>-180</yposition>
					<zposition>-1</zposition>
				</effect>
			</effects>
		</component>
		<!-- value text2 -->
		<component>
			<name>valuetext2</name>
			<caption> </caption>
			<captioncolor>0xFFFFFFFF</captioncolor>
			<effects>
				<effect>
					<name>create</name>
					<xposition>120</xposition>
					<yposition>-117</yposition>
					<zposition>-1</zposition>
				</effect>
			</effects>
		</component>
		<!-- valuetext3-->
		<component>
			<name>valuetext3</name>
			<caption> </caption>
			<captioncolor>0xFFFFFFFF</captioncolor>
			<effects>
				<effect>
					<name>create</name>
					<xposition>120</xposition>
					<yposition>-54</yposition>
					<zposition>-1</zposition>
				</effect>
			</effects>
		</component>
		<!-- valuetext4 -->
		<component>
			<name>valuetext4</name>
			<caption> </caption>
			<captioncolor>0xFFFFFFFF</captioncolor>
			<effects>
				<effect>
					<name>create</name>
					<xposition>120</xposition>
					<yposition>9</yposition>
					<zposition>-1</zposition>
				</effect>
			</effects>
		</component>
		<!-- valuetext5 -->
		<component>
			<name>valuetext5</name>
			<caption> </caption>
			<captioncolor>0xFFFFFFFF</captioncolor>
			<effects>
				<effect>
					<name>create</name>
					<xposition>120</xposition>
					<yposition>72</yposition>
					<zposition>-1</zposition>
				</effect>
			</effects>
		</component>
		<!-- valuetext6 -->
		<component>
			<name>valuetext6</name>
			<caption> </caption>
			<captioncolor>0xFFFFFFFF</captioncolor>
			<effects>
				<effect>
					<name>create</name>
					<xposition>120</xposition>
					<yposition>135</yposition>
					<zposition>-1</zposition>
				</effect>
			</effects>
		</component>
		<!-- other buttons -->
		<component>
			<name>decbutton1</name>
			<tag>-1</tag>
			<width>80</width>
			<height>42</height>
			<effects>
				<effect>
					<name>create</name>
					<xposition>0</xposition>
					<yposition>-180</yposition>
					<zposition>-1</zposition>
					<visual>
						<mesh>/mesh/centered-64x64-rotl.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-option.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>mousein</name>
					<visual>
						<mesh>/mesh/centered-64x64-rotl.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-hilight-option.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>mouseout</name>
					<visual>
						<mesh>/mesh/centered-64x64-rotl.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-option.png</texstage>
					</visual>
				</effect>
			</effects>
		</component>
		<component>
			<name>incbutton1</name>
			<tag>1</tag>
			<width>80</width>
			<height>42</height>
			<effects>
				<effect>
					<name>create</name>
					<xposition>240</xposition>
					<yposition>-180</yposition>
					<zposition>-1</zposition>
					<visual>
						<mesh>/mesh/centered-64x64-rotr.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-option.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>mousein</name>
					<visual>
						<mesh>/mesh/centered-64x64-rotr.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-hilight-option.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>mouseout</name>
					<visual>
						<mesh>/mesh/centered-64x64-rotr.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-option.png</texstage>
					</visual>
				</effect>
			</effects>
		</component>
		<component>
			<name>decbutton2</name>
			<tag>-2</tag>
			<width>80</width>
			<height>42</height>
			<effects>
				<effect>
					<name>create</name>
					<xposition>0</xposition>
					<yposition>-117</yposition>
					<zposition>-1</zposition>
					<visual>
						<mesh>/mesh/centered-64x64-rotl.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-option.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>mousein</name>
					<visual>
						<mesh>/mesh/centered-64x64-rotl.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-hilight-option.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>mouseout</name>
					<visual>
						<mesh>/mesh/centered-64x64-rotl.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-option.png</texstage>
					</visual>
				</effect>
			</effects>
		</component>
		<component>
			<name>incbutton2</name>
			<tag>2</tag>
			<width>80</width>
			<height>42</height>
			<effects>
				<effect>
					<name>create</name>
					<xposition>240</xposition>
					<yposition>-117</yposition>
					<zposition>-1</zposition>
					<visual>
						<mesh>/mesh/centered-64x64-rotr.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-option.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>mousein</name>
					<visual>
						<mesh>/mesh/centered-64x64-rotr.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-hilight-option.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>mouseout</name>
					<visual>
						<mesh>/mesh/centered-64x64-rotr.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-option.png</texstage>
					</visual>
				</effect>
			</effects>
		</component>
		<component>
			<name>decbutton3</name>
			<tag>-3</tag>
			<width>80</width>
			<height>42</height>
			<effects>
				<effect>
					<name>create</name>
					<xposition>0</xposition>
					<yposition>-54</yposition>
					<zposition>-1</zposition>
					<visual>
						<mesh>/mesh/centered-64x64-rotl.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-option.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>mousein</name>
					<visual>
						<mesh>/mesh/centered-64x64-rotl.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-hilight-option.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>mouseout</name>
					<visual>
						<mesh>/mesh/centered-64x64-rotl.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-option.png</texstage>
					</visual>
				</effect>
			</effects>
		</component>
		<component>
			<name>incbutton3</name>
			<tag>3</tag>
			<width>80</width>
			<height>42</height>
			<effects>
				<effect>
					<name>create</name>
					<xposition>240</xposition>
					<yposition>-54</yposition>
					<zposition>-1</zposition>
					<visual>
						<mesh>/mesh/centered-64x64-rotr.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-option.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>mousein</name>
					<visual>
						<mesh>/mesh/centered-64x64-rotr.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-hilight-option.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>mouseout</name>
					<visual>
						<mesh>/mesh/centered-64x64-rotr.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-option.png</texstage>
					</visual>
				</effect>
			</effects>
		</component>
		<component>
			<name>decbutton4</name>
			<tag>-4</tag>
			<width>80</width>
			<height>42</height>
			<effects>
				<effect>
					<name>create</name>
					<xposition>0</xposition>
					<yposition>9</yposition>
					<zposition>-1</zposition>
					<visual>
						<mesh>/mesh/centered-64x64-rotl.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-option.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>mousein</name>
					<visual>
						<mesh>/mesh/centered-64x64-rotl.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-hilight-option.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>mouseout</name>
					<visual>
						<mesh>/mesh/centered-64x64-rotl.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-option.png</texstage>
					</visual>
				</effect>
			</effects>
		</component>
		<component>
			<name>incbutton4</name>
			<tag>4</tag>
			<width>80</width>
			<height>42</height>
			<effects>
				<effect>
					<name>create</name>
					<xposition>240</xposition>
					<yposition>9</yposition>
					<zposition>-1</zposition>
					<visual>
						<mesh>/mesh/centered-64x64-rotr.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-option.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>mousein</name>
					<visual>
						<mesh>/mesh/centered-64x64-rotr.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-hilight-option.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>mouseout</name>
					<visual>
						<mesh>/mesh/centered-64x64-rotr.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-option.png</texstage>
					</visual>
				</effect>
			</effects>
		</component>
		<component>
			<name>decbutton5</name>
			<tag>-5</tag>
			<width>80</width>
			<height>42</height>
			<effects>
				<effect>
					<name>create</name>
					<xposition>0</xposition>
					<yposition>72</yposition>
					<zposition>-1</zposition>
					<visual>
						<mesh>/mesh/centered-64x64-rotl.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-option.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>mousein</name>
					<visual>
						<mesh>/mesh/centered-64x64-rotl.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-hilight-option.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>mouseout</name>
					<visual>
						<mesh>/mesh/centered-64x64-rotl.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-option.png</texstage>
					</visual>
				</effect>
			</effects>
		</component>
		<component>
			<name>incbutton5</name>
			<tag>5</tag>
			<width>80</width>
			<height>42</height>
			<effects>
				<effect>
					<name>create</name>
					<xposition>240</xposition>
					<yposition>72</yposition>
					<zposition>-1</zposition>
					<visual>
						<mesh>/mesh/centered-64x64-rotr.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-option.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>mousein</name>
					<visual>
						<mesh>/mesh/centered-64x64-rotr.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-hilight-option.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>mouseout</name>
					<visual>
						<mesh>/mesh/centered-64x64-rotr.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-option.png</texstage>
					</visual>
				</effect>
			</effects>
		</component>
		<component>
			<name>decbutton6</name>
			<tag>-6</tag>
			<width>80</width>
			<height>42</height>
			<effects>
				<effect>
					<name>create</name>
					<xposition>0</xposition>
					<yposition>135</yposition>
					<zposition>-1</zposition>
					<visual>
						<mesh>/mesh/centered-64x64-rotl.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-option.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>mousein</name>
					<visual>
						<mesh>/mesh/centered-64x64-rotl.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-hilight-option.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>mouseout</name>
					<visual>
						<mesh>/mesh/centered-64x64-rotl.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-option.png</texstage>
					</visual>
				</effect>
			</effects>
		</component>
		<component>
			<name>incbutton6</name>
			<tag>6</tag>
			<width>80</width>
			<height>42</height>
			<effects>
				<effect>
					<name>create</name>
					<xposition>240</xposition>
					<yposition>135</yposition>
					<zposition>-1</zposition>
					<visual>
						<mesh>/mesh/centered-64x64-rotr.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-option.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>mousein</name>
					<visual>
						<mesh>/mesh/centered-64x64-rotr.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-hilight-option.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>mouseout</name>
					<visual>
						<mesh>/mesh/centered-64x64-rotr.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/map/arrow-option.png</texstage>
					</visual>
				</effect>
			</effects>
		</component>
	</rootcomponent>
</screen>